<?php

/**
 * Parse push-worker.js file
 */
class PushWorkerJs {

  /**
   * Parse push-worker.js to get all parameters.
   */
  public function parse() {
    $push_worker_js = variable_get('urban_airship_web_push_notifications_push-worker.js');
    $parameters = array();
    if (preg_match_all("/\{[^\]]*\}/", $push_worker_js, $matches)) {
      $parameters = $this->decodeJson($matches[0][0]);
    }
    return $parameters;
  }

  /**
   * Decode JSON and wrap each parameters with quotes (").
   */
  protected function decodeJson($string) {
    $string = str_replace(array('"',  "'"), array('\"', '"'), $string);
    $string = preg_replace('/(\n[\s||\t]*)(\w+):[\s||\t]/i', '$1"$2":', $string);
    return json_decode($string, TRUE);
  }

}
